For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • POSTAdds a project member to the project with the specified id.
      • POSTUpdates the role of a project member of the project with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Members

Updates the role of a project member of the project with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/updateprojectmember
POST
/api/v1/projects/:projectId/updateprojectmember
$curl -X POST https://api.awork.com/api/v1/projects/projectId/updateprojectmember \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "userId": "123e4567-e89b-12d3-a456-426614174000",
> "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
>}'
200Successful
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "userId": "123e4567-e89b-12d3-a456-426614174000",
4 "firstName": "Lisa",
5 "lastName": "Smith",
6 "hasImage": true,
7 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
8 "projectRoleName": "Project Manager",
9 "isResponsible": true,
10 "isDeactivated": false,
11 "isExternal": true
12}
Changes the role of a project member. The project member can also be set as a responsible project member, but only if no other member of this project is responsible. It is necessary that the project role is available in this project, otherwise the member cannot be updated. A project role is available when they are connected to the specified project type of the project. <Check title="Required Permissions" icon="key">The user has to be the creator or needs `project-master-data:manage` permissions on the project.</Check>
Was this page helpful?
Previous

Returns all comments of the project with the specified id.

Next
Built with

Changes the role of a project member. The project member can also be set as a responsible project member, but only if no other member of this project is responsible. It is necessary that the project role is available in this project, otherwise the member cannot be updated. A project role is available when they are connected to the specified project type of the project.

Required Permissions
The user has to be the creator or needs project-master-data:manage permissions on the project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The model containing updated project member details.
userIdstringRequiredformat: "uuid"
The id of the member.
projectRoleIdstringRequiredformat: "uuid"
The id of the project role for this member.
isResponsiblebooleanOptional
Whether the user should be marked as responsible.

Response

OK
idstringformat: "uuid"
The id of the project member entity.
userIdstringformat: "uuid"
The id of the user who is this project member.
firstNamestring or null
The first name of the user.
lastNamestring or null
The last name of the user.
hasImageboolean or null
Whether the user has an image.
projectRoleIdstringformat: "uuid"
The project role of the project member.
projectRoleNamestring or null
The project role name of the project member.
isResponsibleboolean
Whether the user is responsible for this project.
isDeactivatedboolean
Whether the user is deactivated.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).